package com.alibaba.druid.sql.dialect.gauss.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.SQLStatementImpl;
import com.alibaba.druid.sql.ast.statement.SQLAlterStatement;
import com.alibaba.druid.sql.dialect.gauss.visitor.GaussASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;

public class GaussAlterSystemKillSessionStatement extends SQLStatementImpl implements GaussSQLStatement, SQLAlterStatement {
   private boolean immediate;
   private SQLExpr configParameter;

   public GaussAlterSystemKillSessionStatement() {
      this.dbType = DbType.gauss;
   }

   public boolean isImmediate() {
      return this.immediate;
   }

   public void setImmediate(boolean immediate) {
      this.immediate = immediate;
   }

   public SQLExpr getConfigParameter() {
      return this.configParameter;
   }

   public void setConfigParameter(SQLExpr configParameter) {
      this.configParameter = configParameter;
   }

   protected void accept0(SQLASTVisitor visitor) {
      this.accept0((GaussASTVisitor)visitor);
   }

   public void accept0(GaussASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }
}
